Subject: Re: git --format anyone ?

From: John Emmas <[email-masked]>
Date: Mon, 16 Mar 2026 15:09:26 +0000

Many thanks Kristoffer,

I'd just posted some further information after realising there's Git 
forum available but your reply makes a lot of sense so thanks for 
letting me know.

John

On 16/03/2026 11:45, Kristoffer Haugsbakk wrote:
> The `git` command itself does not have a `--format` option. Some
> subcommands do like git-log(1).
>
>      git log --format=<something>
>
>> I'm working on a project which requires me to run "git --format" (with
>> various parameters of course).
> `git log --format=<something>` is for formatting log output. But since a
> project “requires it” could this be formatting in the sense of formatting
> source code?
>
> You can for example use the third-party git-clang-format(1) on this
> project. But it is third-party. It is not part of the git(1) suite of
> commands.